<?php
/**
 * School Classroom: Block Patterns
 *
 * @since School Classroom 1.0
 */

function school_classroom_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'school-classroom' => array( 'label' => __( 'School Classroom', 'school-classroom' ) )
	);
	$block_pattern_categories = apply_filters( 'school_classroom_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'school_classroom_register_block_patterns', 9 );